From 3959bc8d53b29d3b7ba79d9cf923f9da65d43d5b Mon Sep 17 00:00:00 2001
From: Joseph Koshakow <koshy44@gmail.com>
Date: Sat, 8 Mar 2025 15:39:47 -0500
Subject: [PATCH v1] Remove assert for update on conflict

This commit removes an assert that is no longer valid. The assert was
making an assumption that INSERT .. ON CONFLIT UPDATE .. was not
allowed on partitioned tables. This assumption is no longer valid and
the assert is possible to be triggered.
---
 src/backend/executor/nodeModifyTable.c | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/src/backend/executor/nodeModifyTable.c b/src/backend/executor/nodeModifyTable.c
index b0fe50075a..f33a273cfa 100644
--- a/src/backend/executor/nodeModifyTable.c
+++ b/src/backend/executor/nodeModifyTable.c
@@ -2786,14 +2786,6 @@ ExecOnConflictUpdate(ModifyTableContext *context,
 						(errcode(ERRCODE_T_R_SERIALIZATION_FAILURE),
 						 errmsg("could not serialize access due to concurrent update")));
 
-			/*
-			 * As long as we don't support an UPDATE of INSERT ON CONFLICT for
-			 * a partitioned table we shouldn't reach to a case where tuple to
-			 * be lock is moved to another partition due to concurrent update
-			 * of the partition key.
-			 */
-			Assert(!ItemPointerIndicatesMovedPartitions(&tmfd.ctid));
-
 			/*
 			 * Tell caller to try again from the very start.
 			 *
-- 
2.43.0

